/*
 * Licensed Materials - Property of IBM
 *
 * OCO Source Materials
 *
 * (C) Copyright IBM Corp. 2011 All Rights Reserved
 *
 * The source code for this program is not published or other-
 * wise divested of its trade secrets, irrespective of what has
 * been deposited with the U.S. Copyright Office.
 */
var djConfig = { logLevel: 2 };

(function() {
    // Set debug parameters in dojo if found in the query string.
    var queryString = window.location.href.split("?")[1];
    var match;

    if (queryString) {
        if (queryString.indexOf("debug=true") >= 0) {
            djConfig.debugAtAllCosts = true;
            djConfig.isDebug = true;
        }

        if (queryString.indexOf("console=true") >= 0) {
            djConfig.isDebug = true;
        }

        if (queryString.indexOf("preventCache=true") >= 0) {
            djConfig.cacheBust = new Date().valueOf();
        }

        // Configure custom log level if passed in url
        match = /loglevel=(\d+)/.exec(queryString);
        if (match) {
            djConfig.logLevel = parseInt(match[1], 10);
        }

        // Configure custom log filter if passed in url
        match = /logfilter=([a-zA-Z.$\^|]+)/.exec(decodeURI(queryString));
        if (match) {
            djConfig.logFilter = new RegExp(match[1]);
        }
    }

    // Set locale parameter if the locale cookie is present
    match = /cfsLocale=([a-zA-Z_-]+)/.exec(document.cookie);
    if (match) {
        djConfig.locale = match[1].toLowerCase();
    }
})();

// Only interested in log messages from the cfs.base.Application widget
// for the specified log level.
//djConfig.logFilter = /^cfs.base.Application$/;

// Interested in log messages for all widgets in the cfs.base module
// for the specified log level.
// djConfig.logFilter = /^cfs.base/;
